1. Outbound IVR Flows
Hatif
  • Rate Limiting
  • Account API
    • Service Login
      POST
  • Channels API
    • Get Channels
      GET
  • Support API
    • Upload Image, Video, or PDF
      POST
    • Upload Audio File
      POST
  • Whatsapp API
    • Send Text
      POST
    • Send Template
      POST
    • Send Image
      POST
    • Send Audio
      POST
    • Send Video
      POST
    • Send File
      POST
    • Send Interactive Buttons
      POST
    • List Templates (Service Account)
      GET
  • Contact
    • Set Property Value on Contact
      PUT
    • Search Contacts
      POST
    • Delete Property Value on Contact
      DELETE
    • Create Contact
      POST
    • Update Contact
      PUT
    • Get Contacts
      GET
    • Get Contact By Id
      GET
    • Create Bulk Contacts vCards
      POST
    • Contacts History
      GET
  • Contact Properties
    • List Contact Properties
    • Contact Properties Statistics
    • Create Contact Property
    • Update Contact Property
    • Delete Contact Property
  • Workspace API
    • Get Workspace Users
  • Conversations API
    • Get Conversation Timeline
    • List Conversations
    • Create Conversation
    • Assign Conversation
    • Get Conversation
  • Tags API
    • Tag a conversation
    • Create Tag
    • Delete Tag
    • Update Tag
    • List Tags
  • Conversations - Service Account
  • Outbound IVR
    • Create Outbound IVR
    • Get Outbound IVR Request
  • Outbound IVR Flows
    • Create Outbound IVR Flow
      POST
    • List Outbound IVR Flows
      GET
    • Get Outbound IVR Flow
      GET
    • Update Outbound IVR Flow
      PUT
    • Delete Outbound IVR Flow
      DELETE
  • Call Webhook
  • WhatsApp Message Webhook
  • Schemas
    • Call Webhook
    • WhatsApp Message Webhook
    • ConversationDto
    • CreateTagDto
    • ServiceAccountTemplateDto
    • OutboundIvrOption
    • ChannelConversationDto
    • UpdateTagDto
    • ServiceAccountTemplateParameterDto
    • OutboundIvrQuestionStepProps
    • TemplateParameterDto
    • OutboundIvrStep
    • TagDto
    • ParameterValueDto
    • ConversationTimelineDto
    • CreateOutboundIvrRequest
    • PagedResultOfTagDto
    • ChannelNotFoundError
    • SaveOutboundIvrFlow
    • OutboundIvrFlow
    • AiSummaryDto
    • ReplyInfoDto
    • OutboundIvrAnswer
    • InternalThreadDto
    • LocationMessageDto
    • OutboundIvrStatus
    • AssignationInfoDto
    • OutboundIvrResult
    • OutboundIvrAudioType
    • PagedResultOfConversationDto
    • OutboundIvrRequest
    • PagedResultOfConversationTimelineDto
    • OutboundIvrWebhookPayload
  1. Outbound IVR Flows

List Outbound IVR Flows

GET
/v1/outbound-ivr/flows
Returns flows belonging to the caller's workspace only.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
Paged list of flows
Bodyapplication/json

🟠403MissingVoxaApiScope
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.voxa.sa/v1/outbound-ivr/flows?skipCount=undefined&maxResultCount=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "totalCount": 0,
    "items": [
        {
            "name": "Sales pre-qualification",
            "steps": [
                {
                    "key": "budget",
                    "type": 1,
                    "questionProps": {
                        "audioFileUrl": "http://example.com",
                        "options": [
                            {
                                "digit": "1",
                                "description": "Confirm the appointment",
                                "responseMessageFileUrl": "http://example.com"
                            }
                        ]
                    }
                }
            ],
            "welcomeAudioFileUrl": "http://example.com",
            "completionAudioFileUrl": "http://example.com",
            "noInputAudioFileUrl": "http://example.com",
            "continueOnNoInput": false,
            "maxAudioRetries": 2,
            "inputTimeoutMs": 6000,
            "digitTimeoutMs": 3000,
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",
            "creationTime": "2019-08-24T14:15:22.123Z"
        }
    ]
}
Modified at 2026-08-14 17:40:40
Previous
Create Outbound IVR Flow
Next
Get Outbound IVR Flow
Built with